# Console Assistant

Console Assistant is a command-line application that serves as a universal manager, combining the functionalities of a contact manager, note manager, event manager, and file manager. It provides a convenient way to manage various aspects of information directly from the terminal.

## Features
- **Contact Manager:** Manage your contacts efficiently, including adding, editing, and deleting contacts.
- **Note Manager:** Keep track of your notes, organize them into categories, and easily search through them.
- **Event Manager:** Plan and organize your events, set reminders, and manage your schedule effectively.
- **File Manager:** Sort and organize your files based on their types and extensions, keeping your directory neat and tidy.

## Usage
1. Install the repository:
    ```
    pip install
    ```
3. Run the application in console:
    ```
    manager
    ```

## Dependencies
- Python 3.x
- tabulate (install via pip: `pip install tabulate`)

## Contributors
Dreamcode team, Vitaliy Nerg, Omelchenko Anton, Artem Hrytsay, Serhii Nozhenko, Muzychuk Vadym'
occultnerg2@gmail.com, omelchenko230783@gmail.com, artem_madrid@hotmail.com, neprokaren41@gmail.com, gr.fyntik@gmail.com'

## License
This project is licensed under the MIT License.



==========================================================================================================================



# Консольний Асистент

Консольний Асистент - це програма командного рядка, яка служить універсальним менеджером, поєднуючи функціональність менеджера контактів, менеджера нотаток, менеджера подій та менеджера файлів. Вона забезпечує зручний спосіб управління різними аспектами інформації безпосередньо з терміналу.

## Функціональність
- **Менеджер контактів:** Ефективно управляйте своїми контактами, включаючи додавання, редагування та видалення контактів.
- **Менеджер нотаток:** Ведіть свої нотатки, організовуйте їх за категоріями та легко шукайте серед них.
- **Менеджер подій:** Плануйте та організовуйте свої події, встановлюйте нагадування та ефективно управляйте своїм розкладом.
- **Менеджер файлів:** Сортуйте та організовуйте свої файли за типами та розширеннями, зберігаючи ваш каталог чистим та організованим.

## Використання
1. Клонуйте репозиторій:
    ```
    pip install
    ```
3. Запустіть програму з консолі:
    ```
    manager
    ```

## Залежності
- Python 3.x
- tabulate (встановіть за допомогою pip: `pip install tabulate`)

## Учасники
Dreamcode team, Vitaliy Nerg, Omelchenko Anton, Artem Hrytsay, Serhii Nozhenko, Muzychuk Vadym'
occultnerg2@gmail.com, omelchenko230783@gmail.com, artem_madrid@hotmail.com, neprokaren41@gmail.com, gr.fyntik@gmail.com'

## Ліцензія
Цей проект поширюється за ліцензією MIT - див. файл [LICENSE](LICENSE) для деталей.
